#
# spec file for package rosegarden (Version 2.1pl2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf ed tcl tcl-devel tk xaw3d xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs ed file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone tk unzip util-linux vim xaw3d xdevel xf86 xshared

Name:         rosegarden
Copyright:    GPL
Group:        Applications/Multimedia 
Autoreqprov:  on
Provides:     rosegard
Obsoletes:    rosegard
Version:      2.1pl2
Release:      98
Summary:      Rosegarden Editor and Sequencer suite
URL:          http://www.all-day-breakfast.com/rosegarden/
Source:       rosegarden-%{version}.tar.bz2
Source1:      manual.tar.gz
Patch0:       rosegarden-%{version}.patch
Patch1:       rosegarden-%{version}-ia64.patch
BuildRoot:    /var/tmp/%{name}-build

%description
Rosegarden is a free integrated musical notation editor and MIDI
sequencer for Unix/X platforms, with specific support for Linux PCs
and SGI IRIX workstations.

Authors:
--------
    Chris Cannam <cannam@zands.com>

SuSE series: snd

%prep
%setup -n rosegarden-%{version} -a 1
%patch0
%patch1

%build
%{suse_update_config -f}
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure
make clean
make all

%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
./do-install
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
install Rosegarden $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mv $RPM_BUILD_ROOT/usr/bin/rosegarden $RPM_BUILD_ROOT/usr/lib/rosegarden/bin/rosegarden
install -m 755 rosegarden.script $RPM_BUILD_ROOT/usr/bin/rosegarden

%files
%defattr(-,root,root)
%doc manual/rosegarden-2.1-manual.ps.gz ANNOUNCEMENT CHANGES COPYING COPYRIGHT
%doc PORTING README
/usr/bin/rosegarden
/usr/lib/rosegarden
%config /usr/X11R6/lib/X11/app-defaults/Rosegarden

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n rosegarden
* Fri Jul 20 2001 - pmladek@suse.cz
- fixed URL tag for new homepage
* Mon May 28 2001 - schwab@suse.de
- Fix format string.
* Tue May 22 2001 - pmladek@suse.cz
- fixed cast warnings on ia64
- fixed ifdefs in mapper/include/Mapper_OSS.h
* Tue Apr 10 2001 - cihlar@suse.cz
- update to version 2.1pl2
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Wed Nov 15 2000 - cihlar@suse.cz
- renamed rosegard -> rosegarden
* Tue Sep 12 2000 - cihlar@suse.cz
- using Xaw3d instead of Xaw
- fixed export to musictex
- added %%{suse_update_config}
- fixed Copyright tag
- bzipped sources
* Wed May 17 2000 - cihlar@suse.cz
- Group sorted
* Mon Apr 10 2000 - cihlar@suse.cz
- added BuildRoot
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jun 10 1999 - ro@suse.de
- removed tclmidi from neededforbuild
  tclmidi is only needed at runtime for some special functionality
* Fri Oct 02 1998 - ro@suse.de
- Mapper_OSS.c include errno.h
* Mon Aug 10 1998 - ro@suse.de
- added manual (ps.gz)
- added wrapper-script for rosegarden to preset TCLLIBPATH
  and moved binary to /usr/lib/rosegarden/bin
* Mon May 11 1998 - ro@suse.de
- initial package version 2.1
